--/**
-- * <copyright>
-- *
-- * Copyright (c) 2007 E.D.Willink and others.
-- * All rights reserved.   This program and the accompanying materials
-- * are made available under the terms of the Eclipse Public License v1.0
-- * which accompanies this distribution, and is available at
-- * http://www.eclipse.org/legal/epl-v10.html
-- *
-- * Contributors:
-- *   E.D.Willink - Initial API and implementation
-- *
-- * </copyright>
-- */
--
-- The QVTr Lexer
--

%options escape=$
%options la=2
%options fp=QVTrLexer,prefix=Char_
%options single-productions
%options noserialize
%options package=org.eclipse.gmt.umlx.eqvtr.cst.parser
%options template=../../../../../ocl/internal/parser/LexerTemplateD.g
%options filter=QVTrKWLexer.g
%options export_terminals=("QVTrParsersym.java", "TK_")
%options include_directory=".;../../../../../ocl/internal/parser"

$Globals
/.
import org.eclipse.ocl.internal.parser.AbstractLexer;

./
$End

$Include
	OCLLexer.g
$End

$Define
	--
	-- Definition of macro used in the included file LexerBasicMap.g
	--
	$kw_lexer_class /.QVTrKWLexer./
	$copyright_contributions /.
*   E.D.Willink - Extended API and implementation for QVTr./
$End

$Export
	PLUS_PLUS
$End

$Rules

	Token ::= '+' '+'
		/.$BeginAction
					makeToken($_PLUS_PLUS);
		  $EndAction
		./
$End
