/*******************************************************************************
 * Copyright (c) 2007 E.D.Willink and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     E.D.Willink - initial API and implementation
 *******************************************************************************/
package org.eclipse.gmt.umlx.eqvtr.cst.environment;

import org.eclipse.emf.ecore.EClassifier;
import org.eclipse.emf.ecore.EParameter;
import org.eclipse.gmt.umlx.cst.UMLXCSTPlugin;
import org.eclipse.ocl.cst.OCLExpressionCS;
import org.eclipse.ocl.ecore.Variable;

public class QVTrExpressionEnvironment extends QVTrEnvironment<IQVTrEnvironment>
{
	public QVTrExpressionEnvironment(IQVTrEnvironment env, OCLExpressionCS oclExpressionCS) {
		super(env, oclExpressionCS);
	}	
	
	@Override protected final void addedVariable(String name, org.eclipse.ocl.expressions.Variable<EClassifier, EParameter> variable, boolean isExplicit) {
		if (variable == null)
			return;
		if (!(variable instanceof Variable))
			UMLXCSTPlugin.logError("non-derived Variable in " + getClass().getName() + ".addedVariable", null);
	}

//	@Override
//	public EOperation lookupOperation(EClassifier owner, String name, List<? extends TypedElement<EClassifier>> args) {
//		try {
//			return super.lookupOperation(owner, name, args);
//		} catch (Exception e) {
//			semanticError(cstNode, "lookUpOperation", "Failed to lookup operation : " + e.getMessage());
//			return null;
//		}
//	}
	
//	@Override public EClassifier tryLookupClassifier(List<String> names) throws LookupException {
//		EClassifier eClassifier = tryLookupMetaModelClassifier(names);
//		if (eClassifier != null)
//			return eClassifier;
//		return super.tryLookupClassifier(names);
//	}
}
