package org.eclipse.gmt.umlx.all.tests;

import junit.framework.Test;
import junit.framework.TestSuite;

import org.eclipse.gmt.umlx.eqvt.tests.AllEQVTTests;
import org.eclipse.gmt.umlx.eqvtc.tests.AllQVTcoreTests;
//import org.eclipse.gmt.umlx.eqvto.tests.AllQVToperationalTests;
import org.eclipse.gmt.umlx.eqvtr.tests.AllQVTRelationTests;
//import org.eclipse.gmt.umlx.km3.tests.AllKM3Tests;
//import org.eclipse.gmt.umlx.ocl.tests.AllOCLTests;
import org.eclipse.gmt.umlx.registry.tests.AllRegistryTests;

public class AllPluginTests
{
	public static void buildSuite(TestSuite suite) {
		AllQVTcoreTests.buildEditingSuite(suite);
		AllRegistryTests.buildSuite(suite);
		AllEQVTTests.buildSuite(suite);
//		AllKM3Tests.buildSuite(suite);
//		AllOCLTests.buildSuite(suite);
		AllQVTcoreTests.buildSuite(suite);
//		AllQVToperationalTests.buildSuite(suite);
		AllQVTRelationTests.buildSuite(suite);
	}

	public static Test suite() {
		TestSuite suite = new TestSuite("All UMLX Plugin Tests");
		buildSuite(suite);
		return suite;
	}
}
