package org.eclipse.gmt.umlx.eqvt.tests;

import java.io.FileNotFoundException;
import java.io.PrintStream;

public class HTMLStream extends PrintStream
{
	private boolean enabled = true;;

//	private String shouldBeText = "should be";
	
	public HTMLStream(String fileName) throws FileNotFoundException {
		super(fileName);
	}

	public void printDifferenceLine(String x) {
		StringBuffer s = new StringBuffer();
		s.append("<br>");
		int quoteCount = 0;
		for (int i = 0; i < x.length(); i++) {
			char c = x.charAt(i);
			if (c == '\'')
				s.append((quoteCount++ & 1) == 0 ? "<tt>" : "</tt>");
			else
				s.append(c);
		}
		println(s.toString().replaceAll("should be", "is"));
	}

	@Override
	public void println(String x) {
		if (enabled)
			super.println(x);
	}

	public void setEnabled(boolean enabled) {
		this.enabled = enabled;
	}

//	public void setShouldBeText(String shouldBeText) {
//		this.shouldBeText = shouldBeText;
//	}
}
