--/**
-- * <copyright>
-- *
-- * Copyright (c) 2007 E.D.Willink and others.
-- * All rights reserved.   This program and the accompanying materials
-- * are made available under the terms of the Eclipse Public License v1.0
-- * which accompanies this distribution, and is available at
-- * http://www.eclipse.org/legal/epl-v10.html
-- *
-- * Contributors:
-- *   E.D.Willink - Initial API and implementation
-- *
-- * </copyright>
-- */
--
-- The QVTc Lexer
--

%options escape=$
%options la=2
%options fp=QVTcLexer,prefix=Char_
%options single-productions
%options noserialize
%options package=org.eclipse.gmt.umlx.eqvtc.cst.parser
%options template=../../../../../../../../../org.eclipse.gmt.umlx.ocl.cst/src/org/eclipse/gmt/umlx/ocl/cst/parser/LexerTemplateD.g
%options filter=QVTcKWLexer.g
%options export_terminals=("QVTcParsersym.java", "TK_")
%options include_directory=".;../../../../../../../../../org.eclipse.gmt.umlx.ocl.cst/src/org/eclipse/gmt/umlx/ocl/cst/parser"

$Globals
/.
import org.eclipse.gmt.umlx.cst.parser.AbstractLexer;

./
$End

$Include
	OCLLexer.g
$End

$Define
	--
	-- Definition of macro used in the included file LexerBasicMap.g
	--
	$kw_lexer_class /.QVTcKWLexer./
	$copyright_contributions /.
*   E.D.Willink - Extended API and implementation for QVTc./
$End

$Export
	COLON_EQUALS
$End

$Rules

	Token ::= ':' '='
		/.$BeginAction
					makeToken($_COLON_EQUALS);
		  $EndAction
		./
		
	SLC -> '/' '/'
$End
