/*******************************************************************************
 * Copyright (c) 2007 E.D.Willink and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     E.D.Willink - initial API and implementation
 *******************************************************************************/
package org.eclipse.gmt.umlx.cst;

import java.util.Collection;
import java.util.List;

import org.eclipse.emf.ecore.ENamedElement;
import org.eclipse.gmt.umlx.common.utils.StringUtils;
import org.eclipse.qvt.declarative.ecore.utils.ClassUtils;
import org.eclipse.qvt.declarative.ecore.utils.EcoreUtils;

public class CSTUtils
{	
	@Deprecated
	public static <T> T asClassUnchecked(Object object, T requiredClassObject) {
		return ClassUtils.asClassUnchecked(object, requiredClassObject);
	}

	@Deprecated
	public static <T extends ENamedElement> T getNamedElement(Collection<T> elements, String name) {
		return EcoreUtils.getNamedElement(elements, name);				
	}

	@Deprecated
	public static <T extends ENamedElement, R extends T> R getNamedElement(Collection<T> elements, String name, Class<R> returnClass) {
		return EcoreUtils.getNamedElement(elements, name, returnClass);				
	}

	@Deprecated
	public static String splice(List<String> strings, String separator) {
		return StringUtils.splice(strings, separator);
	}
}
