/*******************************************************************************
 * Copyright (c) 2008 E.D.Willink and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     E.D.Willink - initial API and implementation
 *******************************************************************************/
package org.eclipse.gmt.umlx.editor.paged;

import java.util.HashMap;
import java.util.Map;

import org.eclipse.core.runtime.NullProgressMonitor;

/**
 * TestProgressMonitor facilitates dialog interaction from JUnit tests.
 */
public class TestProgressMonitor extends NullProgressMonitor
{
	public interface Action
	{
		void run();
	}
	public Map<String, Action> actions = new HashMap<String, Action>();
}
