package org.eclipse.gmt.umlx.eqvt.tests;

import junit.framework.Test;
import junit.framework.TestSuite;

import org.eclipse.gmt.umlx.eqvt.tests.common.EcoreUpdaterTests;
import org.eclipse.gmt.umlx.eqvt.tests.mapping.EMOFMapperTest;
import org.eclipse.gmt.umlx.eqvt.tests.mapping.EcoreMapperTest;
import org.eclipse.gmt.umlx.eqvt.tests.tools.EcoreComparatorTests;

public class AllEQVTTests
{
	public static void buildSuite(TestSuite suite) {
		suite.addTestSuite(EcoreComparatorTests.class);
		suite.addTestSuite(EcoreUpdaterTests.class);
		suite.addTestSuite(EMOFConsistencyTest.class);
		suite.addTestSuite(EssentialOCLConsistencyTest.class);
		suite.addTestSuite(EMOFMapperTest.class);
		suite.addTestSuite(EcoreMapperTest.class);
	}

	public static Test suite() {
		TestSuite suite = new TestSuite("All EQVT Tests");
		buildSuite(suite);
		return suite;
	}
}
