package org.eclipse.gmt.umlx.eqvtr.tests;

import junit.framework.Test;
import junit.framework.TestSuite;

import org.eclipse.gmt.umlx.eqvtr.tests.mapping.QVTRelationMapperTest;
import org.eclipse.gmt.umlx.eqvtr.tests.parser.QVTrParseTests;
import org.eclipse.gmt.umlx.eqvtr.tests.parser.QVTrUnparseTests;

public class AllQVTRelationTests
{
	public static void buildSuite(TestSuite suite) {
		suite.addTestSuite(QVTBaseConsistencyTest.class);
		suite.addTestSuite(QVTTemplateConsistencyTest.class);
		suite.addTestSuite(QVTRelationConsistencyTest.class);
		suite.addTestSuite(QVTRelationMapperTest.class);
		suite.addTestSuite(QVTrParseTests.class);
		suite.addTestSuite(QVTrUnparseTests.class);
	}

	public static Test suite() {
		TestSuite suite = new TestSuite("All QVTrelation Tests");
		buildSuite(suite);
		return suite;
	}
}
