/*******************************************************************************
 * Copyright (c) 2007 E.D.Willink and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     E.D.Willink - initial API and implementation
 *******************************************************************************/
package org.eclipse.gmt.umlx.registry.tests;

import java.util.List;

import org.eclipse.emf.common.util.URI;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.resource.Resource;
//import org.eclipse.gmt.umlx.km3.resource.KM3ResourceFactoryImpl;
import org.eclipse.qvt.declarative.registry.environment.ModelContentRegistry;
import org.eclipse.qvt.declarative.registry.environment.ModelRegistryEnvironment;
import org.eclipse.qvt.declarative.registry.environment.ModelSerializationRegistry;
import org.eclipse.qvt.declarative.registry.model.ModelNameAccessor;
import org.eclipse.qvt.declarative.registry.model.Registration;
import org.eclipse.qvt.declarative.registry.standalone.ModelFileResolver;

public class TestKM3 extends ModelRegistryTestCase
{
	public TestKM3(String name) {
		super(name);
	}
	
	/**
	 * Discontinued since KM3 serialisation has no content type handler.
	 */
	public void defunctTestKm3AccessorByContentAnalysis() throws Exception {
/*		KM3ResourceFactoryImpl km3ResourceFactoryImpl = new KM3ResourceFactoryImpl();
		ModelContentRegistry modelContentRegistry = ModelRegistryEnvironment.getInstance().getModelContentRegistry();
		modelContentRegistry.addModelContentAnalyser(km3ResourceFactoryImpl);
		ModelFileResolver modelResolver = getModelFileResolver("testProject", "phantomFolder");
		URI uri = modelResolver.getURI("km3");
		assertNotNull("Non-null uri expected", uri);
		Resource resource = modelResolver.getResource(uri, true);
		assertNotNull("Non-null resource expected", resource);
		List<EObject> contents = resource.getContents();
		assertEquals("Two packages", 2, contents.size());
		boolean km3First = "KM3".equals(((EPackage) contents.get(0)).getName());
		EPackage km3Package = (EPackage) contents.get(km3First ? 0 : 1);
		EPackage primitiveTypesPackage = (EPackage) contents.get(km3First ? 1 : 0);
		assertEquals("KM3 Package name", "KM3", km3Package.getName());
		assertEquals("PrimitiveTypes Package name", "PrimitiveTypes", primitiveTypesPackage.getName());
		assertEquals("Three Primitive Types", 3, primitiveTypesPackage.getEClassifiers().size());
		assertEquals("Twelve KM3 Classes", 12, km3Package.getEClassifiers().size());
		return; */
	}
	
	public void testKm3AccessorBySerialization() throws Exception {
/*		KM3ResourceFactoryImpl km3ResourceFactoryImpl = new KM3ResourceFactoryImpl();
		ModelSerializationRegistry modelSerializationRegistry = ModelRegistryEnvironment.getInstance().getModelSerializationRegistry();
		modelSerializationRegistry.addSerializationFactory("KM3", km3ResourceFactoryImpl);
		ModelFileResolver modelResolver = getModelFileResolver("testProject", "phantomFolder");
		Registration<ModelNameAccessor> registration = modelResolver.getRegistration("km3");
		assertNotNull("Non-null registration expected", registration);
		Resource resource = modelResolver.getResource(registration);
		assertNotNull("Non-null resource expected", resource);
		List<EObject> contents = resource.getContents();
		assertEquals("Two packages", 2, contents.size());
		boolean km3First = "KM3".equals(((EPackage) contents.get(0)).getName());
		EPackage km3Package = (EPackage) contents.get(km3First ? 0 : 1);
		EPackage primitiveTypesPackage = (EPackage) contents.get(km3First ? 1 : 0);
		assertEquals("KM3 Package name", "KM3", km3Package.getName());
		assertEquals("PrimitiveTypes Package name", "PrimitiveTypes", primitiveTypesPackage.getName());
		assertEquals("Three Primitive Types", 3, primitiveTypesPackage.getEClassifiers().size());
		assertEquals("Twelve KM3 Classes", 12, km3Package.getEClassifiers().size());
		return; */
	}
}
